Swift Package Index


bilibili APIs in Swift. docs:


  • The latest stable release is 3.1.2. Released 9 months ago.
  • The last commit to main was 27 days ago.

Swift Version Compatibility

  • 3.1.2
    5.3
    5.2
    5.1
    5.0
    4.2
  • main
    5.3
    5.2
    5.1
    5.0
    4.2
Full build results

Platform Compatibility

  • 3.1.2 and main
    iOS
    macOS(Intel)
    macOS(ARM)
    Linux
    tvOS
    watchOS
Full build results

BilibiliKit

3rd-party implementation of core bilibili functionalities in Swift.

GitHub (pre-)release Actions Status Swift 5.0 Swift Package Manager MIT License Documentation BCH compliance Maintainability

Install

Swift Package Manager

In Package.swift, add to your package's dependencies array:

.package(url: "https://github.com/ApolloZhu/BilibiliKit", from: "3.1.2"),

then add either BilibiliKit or BilibiliKitDYLIB (especially if you share this between main app and app extensions) as your targets' dependencies.

CocoaPods

In Podfile add:

pod 'BilibiliKit', '~> 3.1.2'

then run a pod install inside your terminal, or from CocoaPods.app.